  <?php
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
$y=date('Y');
$m=date('m');
$d=date('d');
$fec1="$d-$m-$y";
$fec2="$d-$m-$y";
?>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
    		<div class="row">
			
						<form name="for_fil_pro" id="for_fil_pro" method="POST" > 
						
							<div class="row">
							
						
							
				<div class=" col-lg-2 col-sm-4 col-xs-6 form-group">
                  <label>Fecha 1:</label>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_fil_canjpro_fec1" type="text" id="txt_fil_canjpro_fec1" value="<?php echo $fec1?>" class="form-control" >
                  </div>
                </div>
				
				
				<div class=" col-lg-2 col-sm-4 col-xs-6 col-sm- form-group">
                  <label>Fecha 2:</label>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_fil_canjpro_fec2" type="text" id="txt_fil_canjpro_fec2" value="<?php echo $fec2 ?>" class="form-control" >
                  </div>
                </div>
				
				<div class="col-lg-2 col-sm-4 col-xs-6">
								
								<label for="txt_can_numdoc">Num. Canje:</label>
								<input name="txt_can_numdoc" type="text" id="txt_can_numdoc" class="form-control"> 
				</div>
							
							<div class="col-lg-2  col-sm-4 col-xs-6">
								<label for="cmb_fil_empresa_id">Empresa:</label>
								<select name="cmb_fil_empresa_id" id="cmb_fil_empresa_id" class="form-control"></select>
							</div>
							
							<div class="col-lg-2 col-sm-4 col-xs-6">
								<input type="hidden" id="hdd_fil_pro_id" name="hdd_fil_pro_id"/>
								<label for="txt_com_pro_nom">Proveedor:</label>
								<input name="txt_com_pro_nom" type="text" id="txt_com_pro_nom" class="form-control"> 
							</div>				 
                            <div class="col-lg-2 col-sm-4 col-xs-6">
								<label for="cmb_fil_mon_id">Moneda:</label>
								<select name="cmb_fil_mon_id" id="cmb_fil_mon_id" class="form-control">
								</select>    
							</div>
							
							
							
							<div class="col-lg-2 col-sm-4 col-xs-6" style="padding-top:30px;"> 
								<span onClick="canje_tabla()" style="cursor:pointer" class="btn btn-primary" ><i class="fa fa-search"></i></span>
								<span onClick="canje_filtro()" style="cursor:pointer" class="btn btn-default" ><i class="fas fa-sync"></i></span>
								<span onClick="canje_form()" style="cursor:pointer" id="btn_nuevocanje" class="btn btn-primary" >NUEVO</span>
							</div>
							</div>
						</form>
						
						
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</section>
<script type="text/javascript">
 function cmb_empresa_id(empid){
	
	  	$.ajax({
			type: "POST",
			url: "../empresa/cmb_emp_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				emp_id:empid
			}),
			beforeSend: function() {
				$('#cmb_fil_empresa_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){	
			
				$('#cmb_fil_empresa_id').html(html);
				//alert($('#cmb_empresa_id').val());
				
				
			}
		});		
  
  }
  
  	function cmb_fil_mon_id(moneid)
	{	
		$.ajax({
			type: "POST",
			url: "../moneda/cmb_mon_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				mon_id: moneid
			}),
			beforeSend: function(){
				$('#cmb_fil_mon_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_fil_mon_id').html(html);
			}
		});
	}
	
	$(function() {
	cmb_fil_mon_id('');
	
	$('#txt_fil_canjpro_fec1, #txt_fil_canjpro_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			
		}); 
		
		$( "#txt_com_pro_nom" ).autocomplete({
			minLength: 1,
			source: "../proveedor/proveedor_complete_nom.php",
			select: function(event, ui){			
				$("#hdd_fil_pro_id").val(ui.item.id);							
				$("#txt_com_pro_doc").val(ui.item.documento);
				verForm();
				
			}
		});
        $("#txt_can_numdoc").change(function(){
			canje_tabla();
		});
		$("#cmb_fil_empresa_id,#cmb_fil_mon_id").change(function(){
			verForm();
		});
		verForm();
		cmb_empresa_id();
		canje_tabla();
		
		$("#btn_nuevocanje").hide(100);
		
	});
</script>   